package ir.samaneahan.application

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context
import android.graphics.Typeface
import androidx.multidex.MultiDex

class App : Application() {

    companion object {
        @SuppressLint("StaticFieldLeak")
        lateinit var context: Context
        var MAIN_ADDRESS: String = "https://samaneahan.com/login/"
        const val SPLASH_TIME: Long = 1000 * 1
        const val EXIT_INTERVAL: Long = 1500
        const val CURRENT_VERSION: Int = 132
        lateinit var typeFaceRegular: Typeface
    }

    override fun attachBaseContext(base: Context?) {
        super.attachBaseContext(base)
        MultiDex.install(this)

    }

    override fun onCreate() {
        super.onCreate()
        context = applicationContext


        typeFaceRegular = Typeface.createFromAsset(assets, "vazir.ttf")
        replaceFont()
    }


    private fun replaceFont() {
        val staticField = Typeface::class.java
            .getDeclaredField("MONOSPACE")
        staticField.isAccessible = true
        staticField.set(null, typeFaceRegular)
    }
}